+++ version 0.12.2
* core: fixed every new profile of Kadu being lost on Windows (regression since 0.11.x) (beevvy)
* qt: ship more stable version of Qt on Windows (beevvy)
* icons: removed lots of unused status icons (beevvy)
* icons: fixed xmpp status icons in freedesktop notifications on GTK+-based platforms (beevvy)
* sql_history: fixed chat history with anonymous contacts not being displayed (beevvy)
* sms: fixed saving sent SMS'es in history (beevvy)
* spellchecker: fixed possible crash in configuration window (beevvy)
* translations: updated Polish and Czech translations, added French translation

+++ version 0.12.1
* jabber: reconnect after waking up from suspend (Juzef)
* chat styles: #2601 fixed: fix old styles when AllowExecutingFromParser option is enabled (Mikołaj Milej, beevvy)
* tabs: do not automatically activate chat widget when receiving new messages (beevvy)
* gui: display 32x32 avatars on buddy list instead of 31x31 (beevvy)
* parser: #2612 fixed: restored DATA_PATH, HOME, KADU_CONFIG Parser variables (beevvy)
* gadu: #2620 fixed: restored downloading big avatars (beevvy)
* build: migrated to GNUInstallDirs CMake module which should fix installation paths on Debian multiarch (beevvy)
* qt4_docking: #2627 fixed: fixed context menu in bottom panel in Ubuntu 12.04 GNOME Classic session (beevvy)
* icons: #2629 fixed: fixed tray icon size in some cases (beevvy)
* chat, tabs: #2626 fixed: fixed storing opened tabs and recent tabs in some circumstances (beevvy)
* jabber: fixed handling of untrusted server certificates (beevvy)
* gui: #2605 fixed: fixed low contrast highlight colors in messages view, especially on Windows (beevvy)

+++ version 0.12.0
* gui: better preview in configuration window (Vogel)

+++ version 0.12.0-rc1
* network: #2523 fixed: try to connect from time to time even if system tells us we are offline (Vogel)
* tabs: #2118 fixed: add open recent chats button to tabswindow (kelmain)
* sms: #2538 fixed: removed unsupported multibox gateway (Vogel)
* gui: #2588 fixed: in status menu check action of desired status not active one (ultr)

+++ version 0.12.0-beta2
* core: #2403 fixed: start conference with preferred contacts of each buddy instead of first ones (ultr)
* core: #2434 done: account password is now forgotten after offline status is set and 'Remember password' option is disabled (Juzef)
* chat styles: #1866 fixed: use small version of avatars in chat window (Vogel)
* emoticons: #2475 fixed: accept non-latin characters in emoticons (Vogel)
* gui: #1948 fixed: sometimes size of infopanel was lost from configuration (Vogel)
* core: #2436 fixed: do not ask for password for accounts with no passwords after saving configuration (Vogel)
* gui: #2556 fixed: don't clear filter field's focus when its text is erased (ultr)
* gui: #2507 fixed: link folding option is respected before restarting kadu (marseel)
* jabber: #2476 fixed: transfer of files between Kadu and Pidgin works now (Vogel)
* freedesktop_notify: #2356 fixed: forgot about notifications only when server asks for it (Vogel)
* gui: #2555 fixed: identities should use common status icons when needed (ultr)
* chat styles: #2565 fixed: no css style in chat window with one message after updating settings (marseel)
* history: #2550 fixed: ask user for removing history (marseel)
* gui: #953 done: use directory selection dialog in screenshot plugin (mazlik)
* gui: #2574 fixed: do not crash Kadu after deletion of currently used chat syntax (Vogel)
* screenshot: #2558 fixed: activate and focus screenshot window properly, handle Esc and Return keys (ultr)
* tabs: #2005 fixed: support for alt+[0-9] shurtcuts in tabs window (mazlik)
* build: by default compile with optimizations turned on (RelWithDebInfo instead of Debug) (beevvy)
* spellchecker: switch default backend from aspell to enchant (aspell is still available) (beevvy)
* gui: #2581 fixed: properly ignore non-existing avatars (Vogel)
* core: #2559 fixed: StatusContainer::status() should return actual status instead of desired one (ultr)
* gui: #2069 fixed: toggle checkboxes when the items are clicked in Delete Buddy window (ultr)
* gui: #2447 fixed: after pressing tilde and a character in chat window, a message was mistakenly being sent (beevvy)
* themes: #2541 fixed: store emoticon and icon themes in configuration only by name (beevvy)

+++ version 0.12.0-beta1
* tabs: "Close all tabs but active one" action added (Juzef)
* last_seen: #1430 done: added context menu in Last Seen window (Vogel)
* configuration: #2529 fixed: prevent loss of XML nodes with same tags in one parent node (ultr)
* tabs: #2098, #2497 fixed: respect blocking window closing settings (Vogel)
* gui: #2479 fixed: information panel didn't display anything for chats (Vogel)
* gui: #2472 fixed: use common status icons in Status Window when changing status for all accounts (Vogel)
* single_window: #2470 fixed: "Start Docked" didn't work for Single Window plugin (Vogel)
* gui: #1916 fixed: use Kadu icon for all non-chat windows (Vogel)
* core: #2312 fixed: properly remove all contacts and chats when removing account (Vogel)
* gui: #1785 fixed: invalid parsing of some URLs (Vogel)
* gui: #1838 fixed: use system highlight color in emoticons selector (Vogel)
* notify: #2355 done: implement fullscreen apps detection option for Windows (mziab, beevvy)
* gui: #2491 done: disable toolbar borders on Windows (beevvy)
* jabber: #2000 fixed: not allowed to change buddy's name for GMail contacts (Vogel)

+++ version 0.12.0-alpha4
* sql_history: #2484 done: removed uuids from history file, now history can be moved between instances (Vogel)
* buddies: #2489 done: removed BuddiesModel and BuddiesModelBase classes (Vogel)
* chat styles: #2499 fixed: keep message borders for long content (ultr)
* jabber: #2141 done: MUC support added (Vogel)
* sms: #359 done: more detailed process of sending SMS with possibility of cancelation in any moment (Vogel)
* sms: #2466 fixed: messages from JavaScript are now translatable (Vogel)
* history: #2526 fixed: display history for unknown chats and unknown contacts (Vogel)
* history: #1586 fixed: history was not available for removed accounts (Vogel)

+++ version 0.12.0-alpha3
* core: configuration file renamed to kadu-0.12.conf.xml as format will be changed (Vogel)
* encryption_ng: #2505 done: removed "Encrypt by default" option, it is now always set to true (Vogel)
* gui: #2122 fixed: do not move contact to the end of list when changing its account in Buddy Data Window (Vogel)
* gui: #370 fixed: do not display emoticons in middle of word (Vogel)
* gui: #598 fixed: added icons preview to Configuration Window (Vogel)
* configuration: #2496 done: support custom icons for plugins in configuration sections (beevvy)
* gui: new and improved plugins configuration window (Juzef)

+++ version 0.12.0-alpha2
* gui: #2153 done: new and improved window for changing account status and description (Juzef)
* history: #2440 done: auto-recovery for corrupted history databases (Vogel)
* history: #2365 done: history can be disabled per chat and per buddy (Vogel)

+++ version 0.12.0-alpha1
* history: #2450 done, #2300 fixed: new, polished history window (Vogel)
* history: #2415 done: per-contact history (Vogel)
* gui: #2277 fixed: status subscription window has proper meaning (Juzef)
* gui: #2452 fixed: contact added via subscription window is saved by Add Buddy window, not magically before (Juzef)
* jabber: redesigned SSL certificate error dialog (Juzef)
* jabber: do not ask user for removing contact which revoked status subscription (Juzef)
* gui: #2454 fixed: fix memory leak in emoticons selector (Juzef)
* gui: #2458 done: added search bar to chat widgets and history window (Vogel)
* gui: #2465 done: added Ctrl+Home/End/PageUp/PageDown shortcuts to chat windows - to scroll to top/bottom/up/down of chat (Vogel)
* core: #2457 fixed: actually respect custom KADU_BINDIR, KADU_DATADIR and KADU_PLUGINS_LIBDIR directories (beevvy)
* core: semi-official portable installation support on all platforms by creating file named "portable" in Kadu data directory (beevvy)

+++ version 0.11.3
* history: #2539 fixed: improper import of 0.6.5 history in some cases (Vogel)
* gui: #2335 fixed: fixed QPalette::HighlightedText and QPalette::Highlight Windows workaround to always work properly (beevvy)
* gadu: #2542 fixed: setting proper description on shutdown (Vogel)

+++ version 0.11.2
* url-handlers: #2485 fixed: do not treat strings beginning with "ftp." as http links (beevvy)
* gadu: fixed rare problem which have been causing inability to send any messages (beevvy)
* gadu: fixed possible application hangs, especially when trying to connect on unstable Internet connection (beevvy)
* chat styles: fixed issues with contact activity icon not being displayed in old message styles (beevvy)
* history: #2527 fixed: sort messages in history correctly (ultr)
* sms: fixed gateway code (Vogel)
* history: #2517 fixed: statuses were always stored as Offline (Vogel)
* chat styles: #2518 fixed: text in system messages was overflowing time (Vogel)
* gui: #2534 fixed: first incoming message was being displayed twice when "Open chat window on new message" option was enabled (beevvy)

+++ version 0.11.1
* gui: #2464 fixed: Clear Chat button was not properly activated after reading messages from history (Vogel)
* gui: #2477 fixed: remove expired recent chats at Kadu startup (ultr)
* gui: #2435 & #2437 fixed: View File Transfers action always shows & activates file transfer window (Juzef)
* jabber: #2176 fixed: do not try to fetch personal info when account is disconnected (Juzef)
* chat: fixed a bug in Adium chat styles engine causing messages to be often doubled when opening a chat widget (beevvy)
* history: #2480 probably fixed: crash when loading last day/week/month history into chat widget on 32bit systems (Vogel)
* history: various security improvements pointed by Mateusz Goik from http://www.aliantsoft.pl (Vogel)
* history_migration: #2503 fixed: crashes during history import from Kadu 0.6.5 (Vogel)
* spellchecker: #2319 done: better and smaller aspell Polish dictionary on Windows (beevvy)

+++ version 0.11.0
* gui: #2454 fixed: memory leak in emoticons selector (Juzef)

+++ version 0.11.0-rc3
* gui: #2421 fixed: warning when opening chat conference window (Vogel)
* spellchecker: #2422 fixed: crash in the Highlighter::removeAll() method (beevvy)
* protocol: #2433 fixed: incorrect status behaviour when no passwors is available (Vogel)
* chat-styles: #2438 fixed: crash when window were closed before asynchronous history was loaded (Vogel)
* gui: #2439 fixed: segfault after second opening of configuration window (Vogel)
* gui: #2429 fixed: crash on Ctrl+V in chat window (Vogel)
* gadu: #2423 fixed: do not crash Gadu randomly (Vogel)
* status: #2444 fixed: prevent autoaway from spamming with XMPP away/xaway status changes (beevvy)
* core: #2426 fixed: regression that caused crashes and unsaved configuration changes when closing system with opened Kadu window (beevvy)
* core: #2445 worked around: a long standing Windows issue that resulted in unsaved configuration changes and unsaved history with new contacts (beevvy)

+++ version 0.11.0-rc2
* sound: dropped libsndfile dependency (beevvy)
* gadu: #2410 fixed: after waking up from suspend Gadu is not reconnecting (WhE)
* gui: #2417 fixed: properly update icons of Kadu windows (beevvy)
* translations: enabled Russian language (Vogel)
* gadu: fixed importing from 0.6.5.x configurations (Vogel)
* spellchecker: #2422 fixed: crash on plugin unload or Kadu exit (beevvy)
* gui: #2427 workaround: clear list of unused identities more ofter (Vogel)

+++ version 0.11.0-rc1
* hints: #2266 fixed: restored word wraping in hints (Vogel, beevvy)
* sms: #2394 fixed: Orange Multibox SMS length limit is not ignored in Send SMS window anymore (Vogel)
* sms: #2371 fixed: allow foreign SMS numbers (Vogel)
* sms: #1664 fixed: support automatic gateway selection when +48 prefix is used (Vogel)
* sms: #2342 fixed: do not require signature when using Orange Multibox (Vogel)
* chat styles: #2400 fixed: message header should be shown after message with SystemType (WhE)

+++ version 0.11.0-beta2
* gui: #2192 fixed: added option to hide main window from taskbar on Windows (beevvy)
* gui: #1767 fixed: show know buddies in "Open Chat" window first (Vogel)
* gui: #2232 fixed: update status of "Myself" buddy only after successfull connection (Vogel)
* mprisplayer: #1954 fixed: update MPRIS support to version 2 (Vogel)
* mediaplayer: #1558 fixed: inserting song file name instead of title in polish version (Vogel)
* mediaplayer: #2358 fixed: menu items for mediaplayer change positions after configuration save (Vogel)
* gadu: #2159 fixed: do not notify about status change just after adding new buddy (Vogel)
* tabs: #1701 fixed: sometimes it was not possible to scroll to tab with new message (Vogel)
* syntax: #2236 fixed: changed "default" infopanel syntax name to "Old Default" (beevvy)
* core: #2138 fixed: properly store Kadu in session manager (Vogel)
* gadu: #2230 fixed: show warning when enabling "Show my status to everyone" if there is any "Offline to" buddy (Vogel)
* protocols: #2231 fixed: send new status every time user wants it, not only when it changed (Vogel)
* word_fix: #2235 fixed: only replace words inside body element (Vogel)
* gui: #2278 fixed: smaller default window sizes (Vogel)
* gui: #2279 fixed: smaller delete buddy window (Vogel)
* jabber: #2096 fixed: reply with correct message type depend on type used in chat (Juzef)
* gui: #2344 fixed: added missing actions in buddy search window (Juzef)
* gui: #1827 fixed: do not display identity name on contact list if there is only one used identity (beevvy, Juzef)
* qt4_docking: #2260 fixed: end tray tooltip with ellipsis if truncated on Windows (beevvy)
* chat styles: #2351 fixed: problems with displaying messages in Modern Bubbling (Compact) and SimpleStuff (Vogel)
* gtalk: #2289 fixed: fixed connection with GTalk by proxy (Juzef)
* jabber: #2283 fixed: do not crash when peer does not support file transfers (Vogel)

+++ version 0.11.0-beta1
* plugins: #2272 fixed: added possibility to tell Kadu to try to load plugin failing to load on next Kadu run (beevvy)
* gadu: fixed compatibility with advanced message formatting including text mixed with multiple images (beevvy)
* build: support defining plugins to be compiled through commandline -DCOMPILE_PLUGINS=... argument (beevvy)
* screenshot: #2285 fixed: update the pixmap only if the crop rect changed (ultr)
* screenshot: #2286 fixed: intelligent toolbox positioning (ultr)
* screenshot: windows and Mac OS X support (dorr)
* gui: added support for images drag&drop in chat edit box (ultr)
* history: #2197 fixed: show history button now has proper implementation of menu (Vogel)
* gui: do not set custom font for the groups tab bar (beevvy)
* sms: #3 fixed: added proxy setting for SMS sending (Vogel)
* encryption_ng_simlite: support UTF-8 messages and use if the interlocutor supports them (beevvy)
* network: #2298 fixed: better proxy configuration system (Vogel)
* chat styles: #1786 fixed: Satin style draws messages' backgrounds properly in wide windows now (ultr)
* gui: #1014 fixed: conferences can now be stored and displayed on roster widget (Vogel)
* gui: #1227 fixed: systray icon blinks on messages from inactive windows/tabs (Vogel)
* history: #1357 fixed: history speedup (Juzef)
* history: #1787, #2270 fixed: history messages are loaded asynchronically into chat window (Vogel)
* history: #2267 fixed: history sometimes caused delay and crash on Kadu exit (beevvy)
* gui: #1841, #1949 fixed: update chat content when changing buddy's display name (Vogel)
* tabs: #2381 fixed: update tab name when updating buddy's display name (Vogel)
* gui: Add Buddy window improvements (Vogel)
* buddies: #2373 fixed: merge does not remove mobile data anymore (Vogel)
* gui: allow blur behing transparent roster (prudy)
* gadu: require at least libgadu 1.11.1 (Vogel)
* gadu: #1737 fixed: added per-account "Receive URLs from anonymous" option (Vogel)
* jabber: #2074 fixed: support socks5 proxy (Juzef)
* gui: #2070 fixed: proper link to online help in help menu (Vogel)
* jabber: #2080 fixed: do not crash when changing password (Vogel)
* gadu: #2364 fixed: updated avatar upload code to match current GG implementation (Vogel)
* core: #2288 fixed: mark all contacts as offline after network error (Vogel)

+++ version 0.10.1
* gadu: clearer contact list synchronization message when updating from <0.10.0 (beevvy)
* jabber: #2320 fixed: removing buddies owning Facebook contacts from of all their groups (beevvy)
* gadu, jabber: #2321 fixed: do not allow to add two identical accounts (beevvy)
* gui: #2308 fixed: collapse items on buddies list when disabling expanding control (beevvy)
* gui: #2313 fixed: use bigger z-index for compositing icon in adium chat styles (Vogel)
* gui: #2077 fixed: untoggle disabled actions (Vogel)
* jabber: #2305 fixed: setting XMPP offline status with status message works now (Juzef)
* docking: #2347 fixed: added "Restore" and "Minimize" actions to tray context menu (beevvy)
* gui: #2345 fixed: fixed Ctrl+C text copying with emoticons (beevvy)
* jabber: #2328 fixed: wrong timezone offset calculation on Windows (mziab)
* jabber: #2329 fixed: XEP-0091 and other timestamps not decoded as UTC (mziab, beevvy)
* gadu: fixed possibility to remove contacts from list both locally and on server in some cases when importing new contacts from server (beevvy)
* core: #2292 fixed: incorrect application abort when trying to save file with default extension under KDE and possibly more issues (beevvy)

+++ version 0.10.0
* sms: small changes that will ease updating gateway scripts (beevvy)
* config_wizard: #2264 fixed: if creating new account failed, do not go to next config wizard page (beevvy)
* gui, history: #2268 fixed: do not try to copy anything to clipboard if selection is empty (beevvy)
* contacts: #2222 fixed: fixed rare problems with certain contacts disappearing every time when added (beevvy)
* gui: fixed Adium messages styles compatibility with QtWebKit 2.2 that comes with Qt 4.8 (beevvy)
* autoresponder: if responding only once is set, opening or activating chat widget now does not cause Kadu to responsd again (only closing chat widget does that) (beevvy)
* screenshot: #2284 fixed: prevent compositing suspension on KDE4 (ultr)
* build: #2275, #2287 fixed: fixed compilation on FreeBSD (c0rn, wisnia, beevvy)

+++ version 0.10.0-rc1
* gadu: #2257 fixed: fixed very unlikely possibility to needlessly and confusingly ask whether to import contacts from server on clean installation (beevvy)
* gadu: fixed sending new contact list version to server after renaming a group (beevvy)
* sms: fixed sending SMS-es to Plus (Dorr)
* sms: fixed sending SMS-es with non-ascii characters to some gateways (beevvy)
* jabber: fixed removing buddies from groups when the roster was changed not by this Kadu installation (beevvy)
* docking: fixed crash when trying to add account after removing all previous accounts without restarting Kadu (beevvy)
* protocols: #2256 fixed: with no connection to the Internet and not working network-awareness trying to connect would result in a hang (beevvy)
* hints: #2249 fixed: removed unnecessary 1px window-color margin from hints (ultr)
* hints: fixed occasional crash (beevvy)
* hints: #2258 fixed: hints size was improperly computed (beevvy)
* freedesktop_notify: #2163, #2263 fixed: properly support all popular notifications daemons (beevvy)
* history: chat dates list speedup (WhE)
* gui: #2262 fixed: Kadu windows were being restored on wrong coordinates on KWin 4.7 and probably more X11 window managers (beevvy)
* storage: #2227 fixed: fixed occasional crash on Kadu exit or protocol plugin unload (WhE)
* chat: fixed showing anonymous buddies with pending messages on contact list (beevvy)

+++ version 0.10.0-beta2
* freedesktop_notify, hints: #2195 fixed: enable Freedesktop notifications in favor of hints on X11 by default (beevvy)
* gadu: #2189 fixed: not composing chat events were not always sent when they should (beevvy)
* gadu: #2203 fixed: crash when other multilogged in client sent message to our number (beevvy)
* jabber: #2226, #2240 fixed: automatically update names of buddies containing exactly one Facebook Chat contact and do not allow manually changing those buddies' names (beevvy)
* plugins: #2177 fixed: unloading a plugin did not remove its widgets from opened configuration window (beevvy)
* word_fix: #2229 fixed: word replace at bounds worked bad (beevvy)
* cenzor: #2180 fixed: unloading cenzor caused crash if configuration window was opened (beevvy)
* hints: fixed crash when closing Kadu with opened configuration window and loaded hints plugin (beevvy)
* config_wizard: fixed crash when unloading plugin with opened config wizard window (beevvy)
* freedesktop_notify: #2248 fixed: fixed possible crash (beevvy)
* gadu: #2242 fixed: fixed setting and reading own gender (beevvy)
* docking: #2188 fixed: wrong order and duplicate entries in DockMenu (WhE)
* gui: #2245 fixed: indication that our interlocutor was composing a message didn't disappear in the moment of receiving that message but about a second after that when using gadu; this change also fixed a minor issue with jabber (beevvy)
* gadu: #2078 fixed: offline to buddy now works properly (Vogel)
* jabber: #2187 fixed: invalid status of contacts logged on multiple times on different resources (WhE)
* core: #2062 fixed: windows are now repositioned when resolution changes or one of the screens is detached (ultr)
* parser: #2200 fixed: fixed parser bug that caused avatars in hints over contact list not to show in configurations with paths to Kadu user profile containing spaces, especially Windows XP (beevvy)
* core: #2182 fixed: checking for windows being active works fine now on 64-bit X11 systems (ultr)

+++ version 0.10.0-beta1
* gadu: #2050 fixed: fixed sending images to GG7 and AQQ (beevvy)
* history: #2185 fixed: unable to open valid chat from history window (Vogel)
* history: #2167 fixed: do not add history buddies to main buddy list (Vogel)
* gui: changed status buttons look and feel (Vogel)
* core: require and link to QCA, fixes some crashes (WhE, beevvy)
* plugins: #2201 fixed: fixed incorrect plugin state managing in corner cases (beevvy)
* core: #2199 fixed: removed %o token from parser (Vogel)
* core: #2042 fixed: no longes use two envelopes in docking for buddies with messages from different contacts (Vogel)
* gadu: #2134 fixed: gadu now try to reconnect after providing invalid password (Vogel)
* storage: #2179 fixed: properly store whitespace values in configuration (Vogel)
* file-transfer: #2162 fixed: properly delete file transfer handlers (Vogel)

+++ version 0.10.0-alpha1
* gadu: removed depreceated ip/port/version code - gg server does not send this info anymore (Vogel)
* modules: Library class removed, we can use QLibrary (Vogel)
* cmake: faster linking, not using final.cpp on Windows compilation (Darom, beevvy, Vogel)
* gui: new syntax editor window layout (ultr)
* modules: hide base modules option removed from modules window (Vogel)
* plugins: new API for loading plugins (Vogel)
* kde_notify: display better icon for notification (Vogel)
* freedesktop_notify: kde_notify renamed to freedesktop_notify (WhE)
* freedesktop_notify: #2150 fixed: add checking for server capabilities (WhE)
* gadu: use Kadu VERSION as client version for Gadu protocol (Vogel)
* gui: status buttons now are blinking when connection is being established (Vogel)
* network: #2148 fixed: proper reactions to network going online/offline (Vogel)
* gadu: image size limitting is now optional (ultr)
* spellchecker: suggestion option as context menu has been added (dienet)
* gadu: #2144 fixed: almost all possible gg file transfer variants implemented (Vogel)
* jabber: #2142 partially fixed: re-added file transfers to XMPP, using sock5 protocol (Vogel)
* chat_notifier: #2145 fixed: plugin for chat notification added (Vogel)
* autodownload: #2151 fixed: removed autodownload (Vogel)
* buddies: #2140 fixed: allow to show Myself buddy on buddies list (Vogel)
* buddies: #2139 fixed: disable Merge actions if multiple buddies are selected (Vogel)
* mprisplayer_mediaplayer: MPRIS players modules replaced with plugin mprisplayer_mediaplayer (dienet)
* gui: #2146 fixed: support for messages confirmations added (ultr)
* alsa_sound, ao_sound, dsp_sound, dshow_sound, win32_sound: removed in favor of phonon_sound and qt4_sound (Vogel)
* xmms_mediaplayer: removed as it was unsupported (beevvy)
* plugins: #2152 fixed: plugins replaced modules (Vogel)
* sdk: #2149 fixed: SDK created (Vogel, beevvy, WhE)
* parser_extender: plugin moved to Kadu core (beevvy)
* gui: #2052 fixed: wrong status types in information panel for blocked or blocking buddy (dienet)
* tabs: #726 fixed: removed not-working and not-documented auto-tab-change option (Vogel)
* gui: #1094 fixed: update send-email action on buddy change (Vogel)
* jabber: #2183 fixed: very rare crash when trying to reconnect (beevvy)
* gadu: #2143 fixed: implemented GG10 roster with support for automatic contact list synchronization (beevvy, Vogel)
* gui: #2131 fixed: user font settings are now optionally respected by Adium styles (ultr)
* gui: #2137 fixed: removed simple/advanced mode, replaced with more detailed setting in Status and Buddy List section of configuration window (Vogel)
* chat styles: removed Gaia and Pushpin styles from official package due to license concerns (beevvy)
* translations: translations can now be added to Kadu without modyfing source code (Vogel)
* translations: allow polish, czech and english traslations by default (Vogel)

+++ version 0.9.2
* tabs: #2129 fixed: regression since 0.9.1 that caused button to be shown when the shouldn't in certain configurations (beevvy)
* jabber: #2128 fixed: do not require node on Jabber/XMPP ids (Vogel)
* server_monitor: #2119 fixed: module removed (Vogel)
* status: fixed a bug where sometimes invisible status for GG wasn't possible to set in simple mode (beevvy)
* gui: fixed a bug on Windows where chat notifications may not work in certain cases (ultr, beevvy)
* buddies: fixed crash on exit in some configurations after using OpenChatWith window (beevvy)
* gui: #2067 fixed: wrong error message in Add Buddy window if no id entered and some account chosen (dienet)
* core: #2154 fixed: fix version comparisons (WhE)
* hints: #2158 fixed: respect maximum hint width (Vogel)
* history: #2130 fixed: moved shortcut configuration (Vogel)

+++ version 0.9.1
* identities: fixed displaying improper status information when having more jabber and gadu account in one identity and invisible status for gadu (beevvy)
* gadu: fixed bug where Kadu could send contacts to Gadu server not from contacts list, but from history (Vogel)
* gadu: do not flood server with ADD_NOTIFY and REMOVE_NOTIFY packets before list is sent (Vogel)
* identities: fixed crash after removing the last account in a non-permanent identity in simple mode (beevvy)
* tabs: #2093 fixed: close/open chat buttons reserved space in tab bar corners even if disabled (beevvy)
* core: #2091 fixed: 'Send message' shortcut restored (ultr)
* encryption_ng: fixed crash in buddies context menu after unloading module (beevvy)
* hints: #2086 fixed: invalid handling of "none" buddy-list tooltip type (Vogel)
* gui: #2048 fixed: opening percent-encoded URL's with system web browser (beevvy)
* gui: #1978 fixed: detection of window being covered by other windows under OpenBox (ultr)
* .desktop file: do not claim Kadu a Gadu-Gadu-only client (beevvy)
* chat: #2120 fixed: invalid account used to open chat after changing contact's account (Vogel)
* build: fixed compilation with GCC 4.6.0 (beevvy)

+++ version 0.9.0
* configuration: configuration is now always properly imported on Windows (Vogel)
* version: bump version to 0.9.0

+++ version 0.6.6-rc4
* single_window: fixed crash when docking was unloaded (beevvy)
* single_window: fixed hiding Kadu widget instead of Single Window in some cases (beevvy)
* buddies: fixed priorities that were broken since rc2 (beevvy)
* translations: enabled Czech translation in configuration window and configuration wizard (Vogel)
* gui: #2056 fixed: only one buddy can be selected in merge buddies combobox (Vogel)
* gui: fixed rare crash at startup (beevvy)
* hints: #2060 fixed: remove configuration widgets after unloading module (Vogel)

+++ version 0.6.6-rc3
* buddies: disable merging buddy with itself (Vogel)
* tabs: fixed some issues with blinking icons/titles (beevvy)
* notify: do not notify about status change if the status did not change actually (beevvy)
* buddies: fixed possible crash at start or restoring main window from tray (beevvy)
* gui: fix Ctrl+C copying from chat edit box (WhE)
* gui: #2046 fixed: info panel is empty for buddies without contacts (WhE)
* gui: fix crash in "Open chat with..." window after accepting empty input (WhE)
* emoticons, icons, sound: fixed non-working custom theme paths on Windows (beevvy)
* gadu: #1992 fixed: (un)registering GG account on Windows (Dorr)
* buddies: adding new buddy from chat window does not require changing display name (Vogel)
* accounts: properly set ownerBuddy for account contacts for all new accounts (Vogel)
* jabber: fixed stupid bug in account connection options when changing SSL settings (Vogel)
* jabber: #2047 fixed: properly send authorization after adding contact to roster (WhE)
* tabs: better tabs look (beevvy/Vogel)
* modules: fixed bug when protocols modules were not loaded after Kadu upgrade (Vogel)
* contacts: fixed bad avatar pixmaps in some cases for contacts without avatars (WhE)

+++ version 0.6.6-rc2
* jabber: #2026 fixed: incorrect XEP-0085: Chat State Notifications implementation (WhE, beevvy)
* xmms_mediaplayer: compilation fixed (Dorr)
* sms: #1727 fixed: Plus GSM gateway is now working again (Dorr)
* hints: fix crashes when two different modules providing hints are loaded at the same time (WhE)
* syntax: #2018 fixed: cleanup chat and infopanel syntax files (Vogel)
* desktop_docking: fixed crash and menu setup (Vogel)
* config_wizard: #2013 fixed: moved configuration widget trigger back to menu (Vogel)
* gui: Fixes for config preview widgets (ultr)
* encryption: #2015 fixed: moved generate-keys action from configuration window to menu (Vogel)
* status: #2031 fixed: Add missing statuses to "On startup, set" ComboBox (WhE)
* core: #2036 fixed: shortcuts with "Alt" midifier don't work in chat window (WhE)
* gui: #2038 fixed: unloading firewall or mimetex modules, when configuration window is opened, crashes Kadu (WhE)
* history_migration: action in Tools menu is no more displayed if there is nothing to import (beevvy)
* encryption_ng_simlite: #2040 fixed: new lines were sent as "?" (beevvy)
* gadu: #2003 fixed: do not allow to import yourself from gadu gadu server (Vogel)
* gadu: #2002 fixed: crash on Kadu close after importing list from gadu gadu server (Vogel)
* gadu: #2016 fixed: sending images to Gadu-Gadu 10 (Vogel)
* kde_notify: do not allow too big icons in notifications (Vogel)
* notify: #2037 fixed: add account id/name to connection error notification (Vogel)
* gui: #2008 fixed: some icons are not visible in info panel (WhE)

+++ version 0.6.6-rc1
* chat: #1963 fixed: crash on opening chats, when citing from history is greater than message prunning setting (WhE)
* jabber: #1972: Kadu sends invalid version string in capabilities information - XEP-0115: Entity Capabilities (WhE)
* docking/simple_view: #1984 fixed: "simple view" option disappears from docking menu (WhE)
* gadu: #1758 fixed: invalid behaviour of status buttons and menus when server disconnects (WhE)
* gui: #1889 fixed: possibility of not displaying status icon (WhE)
* gui: #1903 fixed: Invalid icon of "Change Status" action (Vogel, WhE)
* jabber: #1988 fixed: "Send inactivity events" options is always active after opening "Your accounts" window (WhE)
* gadu: #1967 fixed: multilogon ips are displayed improperly (Vogel)
* chat: #1819 fixed: properly display system messages in Satin style (Vogel)
* history: #1564 fixed: save contacts statuses after login (Vogel)
* gui: #1886 fixed: removed unused proxy configuration widgets (Vogel)
* jabber: #1914 fixed: added information about Facebook username (Vogel)
* status: #1845 fixed: if Identity has a connected Gadu-Gadu account, always use its status (i.e., status icon, status menu, etc.) (beevvy, WhE)
* icons: #1989 fixed: Oxygen's dialog-warning icons works again (ultr)
* gui: copying folded links from chat view now copies the entire links, not their folded versions (beevvy)
* buddies: added possibility to choose preferred contact only by priority, regardless of its status (off by default) (beevvy)
* gadu: fixed resolver to work with more than one gadu account (beevvy)
* gui: #1999 fixed: display avatar for dummy buddy when using default icon style (Vogel)
* gui: #1994 fixed: add break-word to CSS styles for Satin (Vogel)
* history_migration: #1990 fixed: running simultaneously more than one history import for the same history is possible (WhE)
* gui: SpinBox widgets translate their suffixes now (ultr)
* gadu: #2001 fixed: crash on changing account password (WhE)

+++ version 0.6.6-beta17
* gui: always use bold font on buddies with new messages (Vogel)
* gadu: #1966 fixed: use only 443 port when connecting with TLS (Vogel)
* core: fix serious regression from beta16, when Kadu sometimes lost some contacts after upgrade to beta16 (WhE)
* docking: mac docking helper rewritten using Cocoa (Dorr/Vertex)

+++ version 0.6.6-beta16
* gadu: fixed invalid encoding and invalid formatting in some received messages, especially from GG10 (still not compatible with Infobot) (beevvy)
* encryption_ng: fixed possible crash when closing chat (beevvy)
* encryption_ng_simlite: #1933 really fixed: do not turn on encryption if received unencrypted message (beevvy)
* gui: fixed way too high chat edit box on clean installation (beevvy)
* encryption_ng, encryption_ng_simlite: fixed modules loading on Windows (beevvy)
* gui: close buddy data window when buddy is removed (Vogel)
* gui: fix email action for non-contacts buddies (Vogel)
* gui: added fake email account to new buddy window, similar to fake mobile account (Vogel)
* gui: sort "Add button" actions in toolbar menu by name (Vogel)
* gui: #1923 fixed: crash on Windows after right clicking on a toolbar (WhE, beevvy)
* avatars: added timeout to avatar jobs, so buggy servers do not stop avatar fetching (Vogel)
* sql-history: #1860, #1805 fixed: fixed messages sorting in some cases (Vogel)
* jabber: #1926 fixed: do not clean roster on account removal (Vogel)
* gui: restored max saved descriptions functionality (Vogel)
* screenshot: fixed format/quality settings (Vogel)
* sms: sms progress window can now be closed at any time (Vogel)
* gadu: added TLS encryption support for users of new libgadu 1.10 (Vogel)
* gadu: better multilogon support for users of new libgadu 1.10 - all sent messages are shared (Vogel)
* core: restored flushing configuration when setting status (beevvy)
* jabber: added "Show XML Console for Account" submenu to Tools menu (beevvy)
* gui: #1901 fixed: update icons after changing icon theme (WhE)
* history: allow removing statuses and smses history in history window (WhE)
* history: allow removing history for given date (WhE)
* history: allow opening chats from history windows (WhE)
* history: added filtering of status buddies in history window (WhE)
* gadu: added full multilogon support - with possibility to kill other sessions (Vogel)
* gadu: fixed connecting with HUB (Vogel)
* status: #1869 fixed: Sometimes statuses set by autoaway are stored in configuration on exit (WhE)
* gui: #1942 fixed: during filtering anonymous contacts are shown on the list (WhE)
* history_migration: #1938 fixed: crash when storing Chat data if the module was unloaded after importing history (WhE)
* hints: #1784 fixed: setting border color and border width doesn't work (WhE)
* core: #1855 fixed: removed non-working and unneeded config option ActivateWithNewMessages (Juzef)
* protocols: #1910 fixed: after cancelling of connecting to server, status is not changed to "Offline" (WhE)
* sms: #1945 fixed: crash when confirming token by pressing Return (beevvy)
* gui: #1917 fixed: show an information that restart is needed to language settings change take effect (WhE)
* icons: #1955 fixed: wrong "?" icons for Kadu for example in taskbar (ultr)
* gadu: drop DCCv6 support, even GG servers doen't support it now (Vogel)
* gui: #1943 fixed: fixed crashes in Search Window; rewritten some parts of it (beevvy)
* gadu: added typing notifications support (WhE)
* jabber: #1953 fixed: chat events aren't sent (WhE)

+++ version 0.6.6-beta15
* url-handlers: #1908 fixed: links containing HTML entities were not escaped (beevvy)
* url-handlers: #1894 fixed: HTTP links containing e-mail addresses were wrongly interpreted (beevvy)
* modules: creating static modules is again possible (WhE)
* protocols: #1887 fixed: restored importing contact list after adding Gadu-Gadu account (beevvy)
* gui: #1922 fixed: when adding buddy with "Add Buddy..." action from chat, Buddy ID and account should not be editable to not confuse users (beevvy)
* profiles_import: #1748 half-way done: importing old profiles into new identities, no history import yet (Vogel)
* core: #1895 fixed: added screensaver detection for automatic fullscreen silent mode (ultr)
* gui: #1610 fixed: flashing hints over buddies list fixed (ultr)
* gadu: #1640 fixed: no tokens when creating a new account on Windows (dorr)
* config_wizard: #1912 fixed: Next and Cancel buttons were invisible on Windows Vista/7 (beevvy)
* docking: #1915 fixed: minimizing Kadu to tray by clicking on tray icon didn't work on Windows (beevvy)
* profiles_import: #1748 done: history import added (Vogel)
* profiles: module removed (Vogel)
* encryption_ng_simlite: #1936 fixed: invalid encoding when encrypting messages between 0.6.6 and 0.6.6 (Vogel)
* search: #1931 fixed: double toolbars in search window (Vogel)
* gui: #1899 fixed: do not display "Ungroupped" group when it is empty (Vogel)
* gui: #1724 fixed: better "cannot send image" messages (Vogel)
* sms: #1727 fixed: removed plus gateway (Vogel)
* nextinfo: module ported to Kadu 0.6.6 (ultr)
* encryption_ng: #1933 fixed: do not turn on encryption when received unencrypted message (Vogel)
* gui: added "more actions" action to chat toolbars (Vogel)
* gui: #1733 fixed: new default layout of chat toolbars (Vogel)
* encryption_ng_simlite: #1921 fixed: could not read some public keys (Vogel)
* gui: #1679, #1940 fixed: scrolling chat window with emoticons and images (ultr)
* screenshot: #1941 fixed: disable screenshot action for protocols without chat image service (Juzef)
* gadu: download avatar from server after connection (Vogel)
* jabber: download avatar from server after connection (Vogel)
* jabber: PEP avatars can now be fetched for contacts (Vogel)
* jabber: #1750 fixed: account avatar can now be removed (Vogel)
* gadu: #1852 fixed: crash while receiving files (beevvy)
* qt: Qt 4.6.1 is now required
* gui: #1928 fixed: hide tooltip over conference window' buddies list when the window is closed (ultr)
* gui: #1924 partially fixed: keep chat edit box height fixed - user must maually resize (Vogel)
* gui: all chat edit boxes have the same size now (Vogel)
* core: #1925 fixed: disappearing StatusMenu after Kadu restart after removing an account (beevvy)
* gui: #1939 fixed: buddies with pending messages are shown on top of buddies list and are always visible (Vogel)
* gui: #1782 fixed: crash when opening chat window by pressing Enter, when a filter is active (Vogel)
* configuration: #1839 fixed: disable some advanced chat options for Adium styles (Vogel)
* imagelink: module to show images and youtube videos in chat added (neox/Vogel)
* gui: #1903 mostly fixed: fixed wrong icons for "Change Status" action (Vogel)

+++ version 0.6.6-beta14.2
* tabs: #1906 fixed: crash on tabs module load (regression from beta14) (beevvy)
* chat: #1905 fixed: send image action enabled only for protocols that support it (Vogel)
* chat: #1799 fixed: leave conference button now has title in two lines (ultr)
* config_wizard: fixed crash when pressing Back button on setup account page (beevvy)

+++ version 0.6.6-beta14
* core: #1720 fixed: ignore button in invalid password window really cancels connection (Juzef)
* core: #1804 fixed: cancel button in PasswordWindow really cancels connection (Juzef)
* jabber: #1778 fixed: correct CertificateErrorDialog behaviour (Juzef)
* gui: #1792 fixed: do not notify about new messages if window is not active but still fully visible to the user (beevvy)
* docking: #1857 fixed: do not bounce the dock icon in silent mode on Mac (dorr)
* growl_notify: #1755 fixed: show avatar in growl notification on Mac (dorr)
* actions: removed on/off texts and icons, all checkable actions have only one text and icon now (Vogel)
* jabber: more memory leaks removed (WhE)
* notify: #1853 fixed: invalid behaviour of NotificationManager::setSilentMode() (WhE)
* chat styles: #1856 fixed: Conference titles are too long (WhE)
* gui: #1847 fixed: cancel should be the default action in BuddyDeleteWindow (beevvy)
* tabs: #1835 fixed: chat's geometry is not saved on closing program (WhE)
* core: #1822 fixed: save opened windows option is not working without tabs module (WhE)
* gui: #1864 fixed: can not turn off save opened windows option (WhE)
* gadu: #1141, #1868 fixed: crash when sending message containing specific combination of newlines and spaces (beevvy)
* gui: fixed regression in beta13: icon in tab-less chat window is incorrect until it has to update (beevvy)
* encryption_ng: #1575 fixed: module encryption fully ported to new Kadu (Vogel)
* chat styles: #1872 fixed: only message's receive date is shown in irc style (WhE)
* gui: #1634 fixed: do not display status buttons or menu when no account is available (Vogel)
* gui: #1884 fixed: crash when opening Buddy Properties Window for buddy with contact with unloaded protocol (beevvy)
* gui: #1882 fixed: pressing Return and Enter on keypad in chat gives different effects (beevvy)
* gui: #1779 probably fixed: display all contacts for each buddy at start (Vogel)
* chat: #1694 fixed: do not allow to chat with self (Vogel)
* gui: #1757 fixed: display proper status icons (with description) when in simple mode (Vogel)
* contacts: #1743 fixed: changing contact protocol/account does not crash Kadu anymore (Vogel)
* gui: #1837, #1808 fixed: bugs in sorting contacts (Vogel)
* config_wizard: #1756 fixed: allow to add account from config wizard (Vogel)
* jabber: #1884 fixed: crash when opening Buddy Properties Window for buddy with only one jabber contact (WhE)
* gui: #1890 fixed: do not disable "Edit Buddy" action for buddies without contacts (Vogel)
* gui: #1632 fixed: display proper sent image even if source file changed (Vogel)
* gui: #1690 fixed: possible wrong identity or group combo box behavior when deleting identities or groups (beevvy)
* core: #1704 fixed: proper kadu closing after receiving  SIGINT or SIGTRM signal (WhE)
* history/chat styles: #1888 fixed: wrong protocol information when displaying combined history in chat in for example Satin style (WhE)
* avatar: #1718 fixed: avatarContact property is never set (Vogel)
* sms: #1721 fixed: parsing errors from era gateway added (Vogel)
* gui: #747, #1875 fixed: toolbars in chat windows are now synchronized (Vogel)
* single_window: #1867 fixed: unminimize window after openning new chat (WhE)
* gui: #1863 fixed: toolbar buttons could be wrongly positioned after module load (Vogel)
* gui: #1877 fixed: filtering buddies by name disables all other filters (Vogel)
* gui: #1676 fixed: ask for authorization option in add buddy window added (Vogel)
* jabber: #1898 fixed: '>' character is not displayed displayed in chat's view (WhE)
* jabber: #1840 fixed: crash in CertificateHelpers::checkCertificate() (WhE)
* modules: #1883 fixed: properly destroy all singletons in modules (WhE, Vogel)
* gui: #1862 fixed: occassionally incorrect text-area size when opening a tab (WhE)
* jabber: added menu for contacts with subscription options (Vogel)
* icons: update icons naming, added new Oxygen theme (ultr)

+++ version 0.6.6-beta13
* sound: #1376 fixed: long delays on Kadu exit and warnings from Qt regarding mutexes (beevvy)
* history_migration: #1820 fixed for good: crash when loading the module with opened configuration window (beevvy)
* spellchecker: add enchant backend (Caolan McNamara, dorr, beevvy)
* gui: #1825 fixed: input box doesn't get keyboard focus in conference (beevvy)
* spellchecker: fixed crash after module unload (dorr, beevvy)
* gadu: fixed almost always not showing reveived images in chat window (it was broken in betas 11 and 12) (beevvy)
* gui: now ChangeLog is nicely highlighted in About window (beevvy)
* gui: #1762 fixed: fake identity "All" is displayed when it shouldn't be in certain circumstances (beevvy)
* gui: #1760 fixed: remove ability to set custom shortcut for "Send Message" action (beevvy)
* sms/history: #1826 fixed: sent sms is not saved in history (WhE)
* chat styles: #1693 fixed: first message disappeared in chat history when both "Prune messages" and "Remove duplicate headers" option are active (WhE)
* gui: #1810 fixed: Info panel is not properly cleared after deselecting contacts on contact list (WhE)
* jabber: conneting to facebook chats is again possible (fixed regression from beta12) (WhE)
* jabber: #1850 fixed: remove big memory leak after unsuccessful downloading avatar (WhE)
* gui: #1769 fixed: centering OpenChatWith window on screen (Juzef)
* chat styles: #1705 fixed: restoring emoticon img on mouse click works incorrectly in Satin style (beevvy)
* gui: #1848 fixed: if chat icon should be updated but chat title not, chat icon is not updated (beevvy)
* gui: #1844 fixed: disable OpenChatOnMessage option by default (beevvy)
* encryption_ng: new encryption module added (Vogel)
* encryption_ng_simlite: port of old encryption module added (Vogel)
* modules: encryption, encryption_ng_caesar, echo blacklisted (Vogel)

+++ version 0.6.6-beta12
* gui: #1745 fixed: invalid encoding of text in About window on Windows (beevvy)
* autoaway: fixed bad working description changing with interval of auto-refreshing status set to 0 (beevvy)
* gui: now Ctrl+Return enters a new line if autosend enabled, otherwise sends the message (beevvy)
* gui: #1751 fixed: Ctrl or Shift press cancels filtering (beevvy)
* avatars: #1749 fixed: wrong avatars (with empty uuid) are stored and incorrectly displayed in buddy info and chat (beevvy)
* chat: #1759 fixed: kadu chat styles with line end style other than "\n" didn't work (beevvy)
* modules: #1753 fixed: added blacklist for modules in CMakeLists.txt, so invalid modules cannot be compiled (Vogel)
* gui: #1531 probably fixed: white font on selected items in buddies window on Windows Vista/7 (Vogel)
* gui: #1670 fixed: Ctrl+A (Select All) in BuddiesListView doesn't work (beevvy)
* gui: #1504 fixed: Buddy list filtering works different on Mac OS X (dorr)
* gui: Clicking on bouncing dock icon opens only chat windows (dorr)
* kde_notify: #1793 fixed: wrong module description coding (beevvy)
* gadu: #1801 fixed: cannot register new GG account (beevvy)
* cenzor: #1752 fixed: swear words list is empty (WhE)
* jabber: fix a couple of memory leaks after reconneting to server (WhE)
* core: #1764 fixed: manually added avatars are scalled to 128x128 px (WhE)
* jabber: #1776 fixed: "More options" button in create new account widget doesn't work (WhE)
* gui: #1789 fixed: double click on contact in conferences list opens chat with preferred contact (WhE)
* gui: #1790 fixed: Your accouns/default network not implemented (WhE)
* sound: #1729 fixed: "Play a sound" checkbox in notifications configuration doesn't have an icon (WhE)
* gadu: #1763 fixed: restore information about successful export contacts to server (WhE)
* gadu: #1795 fixed: kadu wants to remove anonymous contacts after importing contacts from server (WhE)
* gadu: #1797, #1794 fixed: kadu crashes after removing contacts, which are not on a server (WhE)
* jabber: #1768 fixed: OpenChatWith should require node name in JID (beevvy)
* gui: keyboard focus is properly given to buddies list after filter close because of activation change such as minimalization or opening a chat (beevvy)
* gui: #1703 fixed: Warnings when closing kadu with opened "Buddy data" window (WhE)
* chat: fixed a bug in beta11 causing paths to received images to be saved incorrectly in history (beevvy)
* gui: #1135 fixed: if new description is set that differs with one of 10 last descriptions only in case, the latter is actually set (WhE, beevvy)
* gui: if a module cannot be unloaded, display list of modules using it (dorr, beevvy)
* core: #1725 fixed: --config-dir fixes and support for absolute paths (ultr)
* tabs: #1815 fixed: "Chat in New Window" action doesn't work properly for conferences (WhE)
* gui: #1816 fixed: contacts' actions should be disabled, when contact is not selected (WhE)
* core: #1803 fixed: many fixes for handling pending messages on buddy list, when messages were received in conferences (WhE)
* jabber: #1777 fixed: SSL host mismatch when custom host/port is set (Juzef)
* jabber: #1591 probably fixed: random crashes in jabber protocol trigerred by connection problems (WhE)
* gui: #1666 fixed: backtrace from _activateWindow (ultr)
* history_migration: #1820 fixed: crashes in configuration window after unloading module (WhE)
* core: #1766 fixed: save buddy's gender in configuration (WhE)

+++ version 0.6.6-beta11
* history: speed up history window opening (Vogel)
* chat: fix loading Adium style variants when switching from Kadu style or when in clean profile (beevvy)
* gadu: #1656 fixed: proper invalid password server error handling (Vogel)
* gui: #1506 fixed: nice invalid password message and dialog for entering new one (Vogel)
* gui: #1674 fixed: asking for new identity after deleting account that had its own identity (beevvy)
* gui: chat titles are properly updated without restart after setting custom syntax in configration (beevvy)
* gui: #1686 fixed: selection doesn't update visually in certain Qt styles, like Plastik (beevvy)
* build: enable autodownload on windows (dorr)
* theme: one icon theme glass introduced instead of glass16 and glass22 (dorr)
* api: AvatarManager class split into 3 other classes (Vogel)
* gui: #1667 fixed: clickable links in buddy personal info (badboy)
* jabber: move uploading avatars to JabberAvatarUploader (Juzef)
* gui: #1616 fixed: Add Buddy window now allows to add mobile-only buddies (Vogel)
* history: #1673 fixed: messages from all buddy's chats should be quoted in chat window (WhE)
* gui: #1699: fixed: "Allow to see..." option is not used in Add Buddy window (WhE)
* gui: #1606 fixed: use buddy custom avatar in parser when available (Vogel)
* gui: #1619 fixed: display info about mobile-only buddies in infopanel (Vogel)
* gui: #1687 fixed: add information about kadu's irc channel to about window (WhE)
* gui: #1706 fixed: copying by "Ctrl + C" doesn't work in chat window (WhE)
* jabber: #1642 fixed: skip messages with ErrorType == Cancel (WhE)
* jabber: #1675 fixed: send subscription to added contact, when "Allow to see.." option is enabled (WhE)
* gui: #1692 fixed: cannot set avatar on imported account (Vogel)
* gadu: #1649 fixed: bug that auto blocked some contacts (Vogel)
* gui: #1606 another fix: remove web kit cache support so avatars in info panel are refreshed (Vogel)
* gui: #1606 another fix: support for removing custom avatars (Vogel)
* jabber: #1707 fixed: after clicking Cancel in add GTalk account widget, "gmail.com" domain disappears (beevvy)
* gui: filter in Open chat with... window behaves more like filter widget in main window (beevvy)
* gui: #1691 fixed: after restart first group in tabbar always works as All group (WhE, beevvy)
* gui: #1677 fixed: add possibility to add contact to existing buddy in subscription window (WhE)
* gui: #1617 fixed: disable buddy actions when contacts are selected, this removes confusion (Vogel)
* gadu: #1668 fixed: store list of gadu-gadu servers in external file (Vogel)
* chat: #1679, #1702 fixed: messages with emoticons are not scrolled properly in kadu styles (WhE)
* jabber: #1650 fixed: add an option to disable typing and gone notifications (WhE)
* jabber: #1678 fixed: do not ask for adding a contact requesting authorization when the contact is already on list (WhE)
* history: #1623 fixed: cleanup history module configuration (WhE)
* history: add an option to not save chats with anonymous buddies in history (WhE)
* gui: #1715 fixed: information panel preview doesn't work (WhE)
* core: #1665 fixed: prefer contacts from connected accounts to disconnected ones (WhE)
* jabber: clickable emails in buddy personal info (badboy)
* gui: #1697 fixed: Satin style now supports non-rectangual avatars (Vogel)
* gui: general configuration window cleanup (Vogel)
* sms: #1417 fixed: Era GSM Gateway support added (WhE)
* gui: #1722 fixed: insert emoticons action should be disabled, when emoticons are disabled in configuration (WhE)
* gui: #1723 fixed: fix refreshing emoticons after changing theme in configuration (WhE)
* chat, gui: #1635 fixed: saving full paths for received images in history (beevvy)
* chat styles: bigger fonts in Satin style (beevvy)
* sms: #1742 fixed: double error messages after sending sms without signature (WhE)
* gui: #1719 fixed: chat title is not updated after setting buddy name (WhE)
* gui: #1746 fixed: invalid behaviour of "Edit buddy" action in main window (WhE)
* history: #1739 part1 fixed: use FilterWidget for filtering chats view in history window (WhE)
* gui: #1739 part2 fixed: use LineEditWithClearButton as a base for DelayedLineEdit (WhE)
* gui: #1740 fixed: avatar in chat preview (Vogel)
* config_wizard: #1736 fixed: applications and sound tab removed (Vogel)

+++ version 0.6.6-beta10
* modules: don't build echo module by default (beevvy)
* history_migration: #1476 fixed: start migration without asking user and give no way to cancel it (Juzef)
* idle: #1630 fixed: idle module doesn't load (beevvy)
* tabs: #1629 fixed: blinking of tabs window during moving of tabs, when only one tabs is opened (WhE)
* firewall: #1426 fixed: module ported to 0.6.6 (WhE)
* jabber: #1636 fixed: auto merge contacts with the same display name (Vogel)
* jabber: #1404 fixed: gmail.com domain set default for GTalk protocol (Vogel)
* gadu: #1460 fixed: proper image sending to gg10 (Vogel)
* gadu: #1536 fixed: remove gadu contacts after account is removed (Vogel)
* gadu: #1644 fixed: unable to remind password of gadu-gadu account (WhE)
* gui: #1638 fixed: colors from configuration in buddies list should be respected only in Kadu main window (beevvy)
* sms: show sms window for buddies without contacts but with mobile (Vogel)
* gui: #1389 fixed: use full window with for status button when in simple mode and only single identity is used (Vogel)
* docking: #1648 fixed: animated icon is not shown in system tray (WhE)
* history: #1647 fixed: viewing statuses' history doesn't work (WhE)
* gui: #1652 fixed: Cancel button in edit account widgets doesn't work (beevvy)
* pcspeaker: add support for Windows and MacOS (dorr)
* core: use "KADU_" prefix in "DATADIR", "LIBDIR", "BINDIR" path definitions (dorr)
* jabber: #1486 fixed: connection error notification fixed (Vogel)
* sms: Plus GSM Gateway support added (dorr)
* chat styles: #1551 fixed: adium chat styles don't work on MS Windows (WhE)
* gui: #1391 fixed: pressing arrows when filtering buddies list causes strange and unexpected behavior (beevvy)
* core: #1655 fixed: "Start docked" option from docking module doesn't work (beevvy)
* gadu: #1661 fixed: searching buddies by UIN doesn't work (WhE)
* history: #1622, #1645, #1663 fixed: outgoing messages are formatted as incoming in history (WhE)
* wordfix: #1646 fixed: module breaks sending of ">" and "<" characters (WhE)
* jabber: implemented proxy (Vogel)
* core: #1552 fixed: use most available account icon and status for identity in simple mode (Vogel)
* core: #1555 fixed: allow to set description while online, will be used on next login (Vogel)
* core: fixed linking on Fedora 14 (beevvy)
* gui: #759 fixed: moved emoticon setting (Vogel)
* gadu: #1581 fixed: added "store to file" button to account buddies window (Vogel)
* core: #1587 fixed: better chat account selection when simple mode is used or buddy is activated (Vogel)
* core: #1657 fixed: status notification are shown after applying data in "Buddy data" window (WhE)
* gui: #1593 fixed: restore red font color for blocked/blocking buddies (Vogel)
* mediaplayer: #1595 fixed: proper icon on mediaplayer button (Vogel)
* gui: #1606 workaround: use buddy custom avatar in parser when available (Vogel)
* gui: #1051 fixed: better default chat theme for kadu 0.6.6 (patpi/WhE)

+++ version 0.6.6-beta9
* gui: #1539 fixed: removed problematic PL chars in main window menu remote URLs (Juzef)
* gui: #1535 fixed: set default action to Cancel in account remove confirmation (Juzef)
* core: thanks to changes started in beta8 and finished in beta9, it's easier to check Kadu for memleaks using valgrind's memcheck tool; further improvements are possible (beevvy)
* cenzor: #1424 fixed: ported to 0.6.6 (Vogel)
* gui: #1601 fixed: display contact data on info panel, not only buddy data (Vogel)
* gui: #1599 fixed: user list now looks good when using small/large fonts (Vogel)
* jabber: #1570 fixed: facebook contacts can not force to change display names for buddies (Vogel)
* gui: #1600.2 fixed: disable "notify about user" when "notify about all" is enabled (Vogel)
* gadu: #1600.3 fixed: personal info fixed (Vogel)
* core: #1577 fixed: black font in adium message styles (WhE)
* gui/gadu: #1409, #1597: restore "private status" option (WhE)
* gui: #1609 fixed: proper contacts hints (Vogel)
* gui: #1610 fixed: no more blinking contacts hints (Vogel)
* gui: #1604 fixed: update info panel when contact/buddy/avatar updates (Vogel)
* gui: #1554 fixed: changing description from docking icon does not change statuses, only descriptions (Vogel)
* core: #1661 fixed: Contacts are not properly imported after adding new Gadu account (WhE)
* gadu: add support for import contacts from GG8 and GG10 (WhE)
* gui: new updates dialog (Patpi, WhE)
* gui: #1605 fixed: info panel is not cleared after deselecting contact on list (WhE)
* performance: avatars are now fetched one after another, not all at once (Vogel)
* contacts: fixed displaying incorrect status icons in simple mode (beevvy/WhE)
* gui: fixed crash when closing Kadu with opened YourAccounts window (beevvy)
* model: fixed freeze when unloading protocol module in specific situations (beevvy)
* jabber: #1621 fixed: store trusted certificates binary data as printable text (Juzef)
* other: #1427 fixed: add tango emoticons (patpi, WhE)
* jabber: switcher to own libiris clone with 2 crash fixed (beevvy, Vogel)

+++ version 0.6.6-beta8
* gui: buddies list now has focus right after Kadu's main window creation, so filtering works without clicking (beevvy)
* gui: fixed: clicking on links in About window doesn't open web browser (beevvy)
* #1522 fixed: autoaway doesn't work in simple mode (beevvy)
* gadu: #1565 fixed: gadu_protocol doesn't load if linked with --as-needed (beevvy)
* server_monitor: fixed: server_monitor doesn't work as intended and crashes (beevvy, shade/beevvy)
* gui: fixed crash when closing Kadu with yet unused OpenChatWith window opened (beevvy)
* gui: #1473 fixed: display offline-to contacts as disabled (Vogel)
* gui: added separators and spaces to toolbars (ultr)
* gui: #1550 fixed: auto-add "file:///" to paths in syntax files (Vogel)
* gui: use "blocking" icon as chat icon when contact is blocking (ultr)
* gui: #1526 fixed: update validation after each change in contacts in buddy's window (ultr)
* jabber: #1416 fixed: remove proxy settings from XMPP account dialog (Vogel)
* autostatus: #1423 fixed: module ported to 0.6.6 (Vogel)
* gui: fixed a bug that caused configuration widget to disappear in certain scenarios (beevvy)
* gui: don't activate first config section when loading a module (autoaway) with opened configuration window (beevvy)
* use translation files provided by Qt (fixes Qt translations) (beevvy)
* history: #1592 fixed: window selection behaviour fixed (Vogel)
* speech: module ported to 0.6.6 (WhE)
* notify: when fullscreen application is detected, notifications are not shown (ultr)
* jabber: fixed Facebook support (Juzef)
* gui: #1553 fixed: update action after contact is addef (WhE)
* gui: #668, #1457, #1542, #1582 fixed: remeber vertical and horizontal sizes of a chat (WhE)

+++ version 0.6.6-beta7
* gui: #1541 fixed: avatar displaying on Qt 4.5 (Vogel)
* gui: #1544 fixed: message icon displayed on top of status icon (Vogel)
* gui: #1411 fixed: open chat with does not work (Vogel)
* gui: #1413 fixed: adding buddies from group tab bar now possible (Vogel)
* gui: #1436 fixed: disable clear chat window button when there is nothing to clear (Vogel)
* gui: #1449 fixed: emoticon theme should not change after adding new theme path (Vogel)
* jabber: #1455 fixed: do not set change-status event when no real change was performed (Vogel)
* history: #1397 fixed: display status-change dates and times (Vogel)
* gadu-gadu: #1502 fixed: use small icon for gadu-gadu in comboboxes (Vogel)
* jabber: #1503 fixed: use small icon for XMPP in comboboxes (Vogel)
* gui: #1501 fixed: buddy-is-blocking icon added (Vogel)
* gui :#1475 fixed: proper order of buddy menu items (Vogel)
* gui: new icon support code (Vogel)
* autoresponder: #1467 fixed: silent mode added to ChatService (Vogel)
* autoaway: #1508 fixed: autostatus is now disabled after manual status change immediately (Vogel)
* gui: #1515 fixed: show descriptions action restored (Vogel)
* file_desc: #1421 fixed: module ported to 0.6.6 (Darom/Vogel)
* antistring: #1422 fixed: module ported to 0.6.6 (Vogel)

+++ version 0.6.6-beta6
* gui: #1487 fixed: combobox in personal info for buddies does not work (Vogel)
* gui: #1477 fixed: account info was not updating in Your Accounts window (Vogel)
* gui: #1462 fixed: avatars duplication and fixes in painting (Vogel)
* gui: #1329 fixed: anonymous contacts have blank name (WhE)
* history: #1500 fixed: properly display merged histories (Vogel)
* history: #1431 fixed: crash during history migration (Vogel)
* notify: #1458 fixed: contacts added to notify list aren't remembered between kadu sessions(WhE)
* gui: fixed avatar display in infopanel (Vogel)
* gui: #1242 fixed: update size hints in buddies list view on avatar changes (Vogel)
* gui: #1448, 1462 fixed: duplicate avatars in buddy list (Vogel)
* gui: #1391 fixed: enhanced implementation of Buddy searching in user list (Vogel)
* gui: #1447 fixed: Kadu doesn't defines roles for their windows (ultr)
* hints: #1465 fixed: hints module shows black hint over buddy list by default (WhE)
* jabber: #1485 fixed: crash after setting personal informations of XMPP account (Juzef)
* core: #1480 fixed: crash after opening conference with anononymous contact (WhE)
* core: #1395 fixed: adding contacts from search window does not work (WhE)
* core: #1468 fixed: crash after changing contact account in Buddy Data window (WhE)
* core: #1530, #1310 fixed: INS hot-key is not working properly (WhE)
* history_migration: Import also status changes from old history (beevvy)
* history_migration: #1366 fixed: only about 300k of history entries are properly imported (beevvy)
* gui: #1484 fixed: formatted messages aren't shown in chat view (WhE)
* all: many other fixes all around the code

+++ version 0.6.6-beta5
* gui: #1415 fixed: ability to manage account's personal info in YourAccounts window (Juzef)
* gadu: #1183 fixed: allow DNS name for proxy servers (Vogel)
* gui: #1257 fixed: some shortcuts are not working (Vogel)
* gui: #1306 fixed: changing accounts updated status buttons (Vogel)
* gui: #1400 fixed: invalid size of some widgets in config window (Vogel)
* gui: #1414 fixed: anonymous buddies displayed on account buddy list (Vogel)
* core: removing unneccessary combobox items (beevvy)
* core: #1401 fixed: displaying contact personal info in buddy data window (Juzef)
* gui: #1373 fixed: creating default toolbars in search window works again (Juzef)
* core: simple mode bug fixed, all accounts are now properly loaded in simple mode (Vogel)
* gui: added simple view mode (prudy)
* gui: added contact list transparency (prudy)
* core: fixed status saving (Vogel)
* gadu: #1377 fixed: importing account (Vogel)
* gui: simplified configuration of web browser and e-mail client (Vogel)
* storage: make all managers thread safe (Vogel)

+++ version 0.6.6-beta4
* gui: #1119 fixed: copying emoticons works again (beevvy)
* gadu: #1160 fixed: contacts promoted from anonymous are added to gg notifications list (Vogel)
* gadu: #1202 fixed: "offline to" does not work (Vogel)
* gadu: #1212 fixed: "block user" does not work (Vogel)
* gui: #1313 fixed: save state of ShowOnlineAndDescription action (Juzef)
* gui: #1330 fixed: envelope icon in contacts list doesn't disappear after clicking systray icon (Vogel)
* gadu: #1379 fixed: automagically import contact list after creating GG account (Juzef)
* gadu: #1380 fixed: enable SimpleMode by default after importing account from 0.6.5.x (Juzef)
* core: #799 fixed: removed contacts become anonymous in conference lists (Vogel)
* history: #354 fixed again: marking search text in history (Darom, Vogel)
* core: #1106 fixed: invalid actions in context menu of conference user box (Vogel)
* core: #1347 fixed: custom avatars are now properly stored (Vogel)
* gui: #1398 fixed: unable to start conference with buddies with different preffered accounts (Vogel)
* gui: #1316 fixed: problems with tray and Compiz (ultr)
* jabber: #1405 fixed: proper default connection settings for GTalk accounts (Juzef)

+++ version 0.6.6-beta3
* jabber: proper URL handler for xmpp:// (Juzef)
* gadu: #1356 fixed: setting gadu servers manually works now (Vogel)
* history: #1068 fixed: removing buddy and history in single window (Vogel)
* sound: #1360 fixed: crash during loading module (Vogel)
* gui: #1354 fixed: chat window does not display \ (Vogel)
* chat: #1311 fixed: unicode characters in URLs (Vogel)
* autoaway: #1344 fixed: crash when closing kadu with configuration opened (Vogel)
* macos: #1368 fixed: crash when opening configuration window (Vogel)
* gadu: #1320 fixed: unable to clear "new account gg number" field (Vogel)
* history: #1317 fixed: some offline messages would not be displayed in chat window, only in history (Vogel)
* gui: #1365 fixed: contact changes not reflected in info view (Vogel)
* gui: #1364 fixed: disappeaing link tool tips (Vogel)
* gui: #1307 fixed: context menu with "Create new Toolbar" hidden when toolbars locked (Vogel)
* macos: kadu builds and works on Mac OS X (Dorr)
* gui: #661 fixed: menu visible on all windows on Mac OS X (Dorr)
* growl_notify: ported to 0.6.6 (Dorr)
* maemo: kadu builds and works on Maemo 5 (Nokia N900) devices (Dorr)
* windows: kadu builds and works on Windows platform (Dorr)
* cmake: fixed autodownload of icons and emoticons (Dorr)

+++ version 0.6.6-beta2
* jabber: added URL handler for jabber:// protocol (Juzef)
* gui: #1332 fixed: dock icon now in 22x22 size (Juzef)
* gui: fix avatar scaling, configurable avatars: add border and gray out offline contacts' avatars (badboy)
* core: #1321 fixed: crash when clicking on contacts without protocol (Juzef)
* mediaplayer: #1319 fixed: force mediaplayer to work only when enabled (Juzef)
* core: #1325 fixed: hide identities without accounts in simple mode (Juzef)
* gui: #1328 fixed: infopanel turned off by default (Juzef)
* tlen: module restored, authorization fixed (Juzef)
* core: removed Instaluj.sh (Vogel)
* desktop_docking: ported to 0.6.6 (Vogel)
* de_translations: fixed (Robert K.)
* config_wizard: #1322 fixed: move ConfigWizard from menu to configuration window (Juzef)
* gui: #1327 fixed: rename Chat action in contacts menu (Juzef)
* gui: #1323 fixed: changed contacts list messages according to KDE HIG (Juzef)
* gui: #1304 fixed: don't show account name on contacts list in simple mode (Juzef)
* gui: #1254 fixed: clear button if filter field added (Juzef)
* gui: #1325 fixed: hide identities with no accounts in simple mode (Juzef)
* core: #1324 fixed: added some default identities (Juzef)
* core: #1321 fixed: crash on contacts without protocol (Juzef)
* mediaplayer: #1319 fixed: force mediaplayer to work only when we want it (Juzef)
* gui: fixed minimized windows actiwation (ultr)
* gui: #1260 fixed: icons for add-new-account and add-existing-account added (Juzef)
* qt4_sound: many fixed (Dorr)
* single_window: module ported to 0.6.6 (Dorr)
* word_fix: module ported to 0.6.6 (Dorr)
* pc_speaker: module ported to 0.6.6 (Dorr)
* last_seen: module ported to 0.6.6 (Darom)
* core: #1336 fixed: don't use Invisible on start when Offline is selected (Juzef)
* gui: #1302 fixed: proper main configuration tab (Juzef)
* echo: module ported to 0.6.6 (Darom)
* autoresponder: module ported to 0.6.6 (Darom)
* core: #1337 fixed: require zlib on cmake configuration (Darom)
* phonon_sound: #1338 fixed: require libphonon_dev (Darom)
* gui: #1345 fixed: fetch avatar directly after adding contact (Juzef)
* macos_docking: moved functionality to docking module (Dorr)
* gui: #1302 fixed: introduced ConfigRadioButton (Juzef)
* jabber: some QA work (Vogel)
* history: #354 fixed: marking search text in history (Darom)

+++ version 0.6.6-beta1
* config_wizard: reworked (Vogel)
* gui: use avatars in adium styles (WhE)
* sound: cleanup (Vogel)
* alsa_sound: cleanup (Vogel)
* core: #1201 fixed: del on contacts list does not remove contacts (Vogel)
* core: #1301 fixed: allow not to set Visible name on adding buddy (Juzef)
* core: #877 fixed: disable chat actions when there's no contact having chat feature (Juzef)
* gadu: #1232 fixed: use cp1250 when importing/exporting Gadu user list (Vogel)
* gui: #1223, #1288 fixed: rearranged status buttons (Vogel/WhE)
* gui: #1299 fixed: doubled groups on user list (Vogel)
* hints: #1200 fixed: enable removing chat/ignore buttons from hints (Vogel)
* jabber: #1263 fixed: jabber ID displayed instead of "Me" in every chat window (Vogel)
* core: #1286 fixed: infinite loop and crash after changing "Simple Mode" (Vogel)
* gui: #1268 fixed: invalid contacts name in Personal Properties tab (Vogel)
* gui: #1284 fixed: invalid info displayed at Personal Properties tab (Vogel)
* jabber: invisible status removed (not in XMPP standard) (Juzef)
* ext_sound: port to 0.6.6 (Vogel)
* history_migration: #1280 fixed: invalid characters after history import (Vogel)
* jabber: fixed crashes on account registration (Vogel)
* store: no more garbage in kadu-0.6.6.conf.xml file (Vogel)

+++ version 0.6.6-alpha8
* core: simple-mode introduced (Vogel)
* gadu: better account registration (Vogel)
* sms: gateway selection moved to javaScript (Vogel)
* sms: sending sms moved to javaScript, only Orange is supported now (Vogel)
* sms: rework of SmsDialog window and behaviour (Vogel)
* jabber: simple xml-console added (WhE)
* tlen: allow login@tlen.pl as Tlen Id (uzi)
* misc: many fixes ports from 0.6.5 branch (Juzef)
* chat: message count in chat windows (badboy)
* gui: menu layout rework (WhE)
* chat: use account avatar in adium styles (WhE)
* storage: fixed very stupid bug in whole Storage layer (WhE)
* jabber: fixed StateGone in XMPP (Juzef)

+++ version 0.6.6-alpha7
* screenshot: module rewritten, now based on QGraphicsView (Vogel)
* gadu: image sending fixed (Vogel)
* core: #331 fixed: save description after change (Vogel)
* search: #1249 fixed: crash + invalid 'no results' message (Vogel)
* core: #1255 fixed: added contacts are not visible on userlist (Vogel)
* core: #1240 fixed: adding contacts from Buddy Properties window (Vogel)
* notify: silent mode ported from 0.6.5 (Vogel)

+++ version 0.6.6-alpha6
* gui: rework on YourAccounts window (Vogel)
* spellchecker: works on Windows (Michał)
* gadu: gg8.0 protocol support (Dorr/Vogel)
* gadu: remind password window restored (WhE)
* gadu: gg:// links support resetored (WhE)
* core: support for running kadu with urls as program arguments (WhE)
* mediaplayer: mpd_mediaplayer module introduced (badboy)
* kde_notify: fix module compatibility with KDE SC 4.4 (Michał Ziąbkowski)
* autoaway: support for NotAvailable status (badboy)
* refreshed default icon theme (Patpi/Vogel)
* jabber: support for uploading account's avatar (VCard) and fetching contact's avatars (PEP)

+++ version 0.6.6-alpha5
* gadu: uploading avatars possible (Vogel)
* notify: many fixes (WhE)
* server_monitor: new module available (Ziemniak)
* history: sms are stored in history (Vogel)
* chat styles: rewrite of adium styles support finished (WhE)
* chat styles: add transparency support in adium styles on X11 systems (WhE)

+++ version 0.6.6-alpha4
* gadu: exporting contacts list works again (Vogel)
* protocols: disabling protocol module disconnects all accounts correctly (Vogel)
* gui: fixed buddies list refreshing (Vogel)
* history: display list of stored statuses (Vogel)
* jabber: fix removing contacts from roster (Vogel)
* mediaplayer: mediaplayer can now set status (Vogel)
* kde_notify: module from Jacek Jabłoński imported (Vogel)
* notify: add actions for every notification with chat - Chat and Ignore (Vogel)
* notify: do not flood with notifications after connection to server (Vogel)

+++ version 0.6.6-alpha3
* history: chat list cleanup in history window (Vogel)
* history: using transaction, import is 10-50x faster, no more freezes (uzi/Vogel)
* core: class CrashAwareObject added, it reacts on all crashes (Vogel)
* history: send commit to database even if crash occured (Vogel)
* ChangeLog: split into 2 files (old and new) (Vogel)
* notify: fixed fetching data from parent notification if 'use custom settings' is off (Vogel)
* gui: OpenChatWith window does not add to contacts list everything that was written (Vogel)
* gui: new selector window (beevvy)
* gui: do not detach tabs when Kadu is closing (Kermit)
* mediaplayer: initial port of mediaplayer moduled (Uzi)
* dbus: module added (Uzi)
* history: filtering in history-window fixed (Vogel)
* gui: new expand icon in buddy list (WhE)
* .config: converted to UTF8 (Uzi)
* copyright: new copyright format (based on KDE)

+++ version 0.6.6-alpha2
* gui: hint position preview added (Kermit)
* gui: recent chats can be stored between runs (Vogel)
* core: StatusChanger API is now aware of multiple accounts (Vogel)
* idle: module ported (Vogel)
* autoaway: module ported (Vogel)
* history: only one history tool button (Juzef)
* gadu: allow gadu_protocol to be dynamic module (Vogel)
* gui: buddy list is now expandable (to show all contacts) (Vogel)
* gui: better display of contacts on buddy list (Vogel)
* gui: avatar logic updated, enabled setting custom avatars on buddies (Vogel)
* gui: allow to sort contacts in buddy (Vogel)
* file-transfer: better 'continue' logic (Vogel)

+++ version 0.6.6-alpha1
* gadu: fixed receiving conference messages (Vogel)
* gui: better SelectBuddyCombobox (Vogel)
* core: PendingMessages ported to new API (Vogel)
* gui: contacts with pending messages have envelope icon next to protocol icon (Vogel)
* gui: BuddyDataWindow contacts widget upgraded (Vogel)
* gui: XFixes extension for X11 is now required (WhE)
* file-transfer: file transfer ported to new API with new logic (split FileTransferHandler from FileTransfer)  (Vogel)
* gui: YourAccounts window allows adding accounts again (Juzef)
* gui: SubscriptionWindow added (Juzef)

+++ version 0.6.6-alpha0
* better build system for modules - kadu_module macro instead of dozen lines in each module (vogel)
* signals messageReceived/Queued... removed, replaces by messageStatusChanged (vogel)
* big rewrite of UserListElements into Contact/ContactData/ContactsList/ContactsSet/ContactsManager/ContactsModel and so on (vogel)
* Account, AccountManager classes added (vogel)
* old history module replaced by new history and history_sql modules (Juzef, vogel)
* basic history migration module (WhE)
* better history window (Juzef, vogel)
* DelayedLineEdit class added (vogel)
* removed compatibility with 0.5.0 configuration files, expect some things to be broken if you had not 0.6.0 or 0.6.5 (vogel)
* main menu splited into 3 parts (WhE)
* new configuration API - uses StoragePoint, StorableObject and so on (vogel)
* new concept of AwareObject - ContactsAwareObject and so on (vogel)
* new ContactList widget - displays tree, uses model-view (vogel)
* new ContactList filter API (vogel)
* new Status API - allows to add any status/statut type a protocol wants (vogel)
* most of big files splited - each file = one class
* hints and osd_hints modules joines (WhE)
* gadu code moved to module, create Protocol API (vogel)
* protocol classes splited into Services (vogel)
* gadu dcc fixes, still does not work for 100% of cases (vogel)
* Qt3Support removed (kadu team)
* improved gadu-connection logic, supports multiple gadu accounts (vogel)
* new Core API (vogel)
* new Chat API (Juzef)
* using QApplication.alert for new message notification (vogel)
* restored ContactList background images (vogel)
* new API for messages acks (vogel)
* ChatStyleManager with pluggable chat style engines class introduced (WhE)
* add basic adium message styles support (WhE)
* files moved from kadu-core/ to kadu-core/something/that/has/meaning directories (vogel)
* new classes: StatusMenu, StatusButton, StatusButtons (vogel, WhE)
* new StatusContainer API (vogel)
* suport for avatars and gadu avatars (vogel, Juzef)
* sound API fixed (vogel)
* new module providing basic Jabber/XMPP protocol support (Juzef, uzi)
* improvements in Jabber/XMPP: support for avatars, detailed connection options, account registration, receiving file transfers, other minor fixes and cleanups (Juzef)
* new windows: AddBuddyWindow, MergeBuddiesWindow
* automatic Ungrouped contact group added with possibility to hide All group (WhE)
* many improvements in group management (WhE)
* new tray menu (WhE)
* new contact context menu layout (longer)
